System.Design 1.0.5000.0 2.0.0.0 System.Windows.Forms.Design.ParentControlDesigner

provides a base class for designers of controls that respond to scroll messages. In addition to the methods and functionality inherited from the , , and classes, provides a method override that passes WM_HSCROLL and WM_VSCROLL messages to the control at design time.

If a form has its property set to active, the scroll bars are always active in the design-time environment.

You can associate a designer with a type using a . For an overview of customizing design time behavior, see Extending Design-Time Support.

Base designer class for extending the design mode behavior of a which should receive scroll messages.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added.

  The method determines whether a click at the specified point should be passed to the control, while the control is in design mode. You can override and implement this method to enable your control to receive clicks in the design-time environment.

  You can pass a point in screen coordinates to the method of the class to obtain the coordinates of the point relative to the upper-left corner of the control.

  Indicates whether a mouse click at the specified point should be handled by the control.

  true if a click at the specified point is to be handled by the control; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0